Bug 211205 - Squid not allowed to write to port to display in sevices gui tool
Squid not allowed to write to port to display in sevices gui tool
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-17 16:51 EDT by Darwin H. Webb
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:13:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darwin H. Webb 2006-10-17 16:51:16 EDT
Description of problem:
Slecting squid in sevices gui tool causes avc on squid port
restorecon is N/A and so is squid booleen off.

please insure all sevices can be dispalyed in sevices gui tool by SELinux.
Version-Release number of selected component (if applicable):
setroubleshoot-1.0-1
squid-2.6.STABLE4-1.fc6
selinux-policy-2.3.18-10

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
SELinux is preventing /usr/sbin/squid (squid_t) "write" access to pipe:[15786]
(unconfined_t).

avc: denied { write } for comm='"squid"' dev='pipefs' egid='0' euid='0'
exe='"/usr/sbin/squid"' exit='0' fsgid='0' fsuid='0' gid='0' items='0'
name='"[15786]"' path='"pipe:[15786]"' pid='3582'
scontext=system_u:system_r:squid_t:s0 sgid='0'
subj='system_u:system_r:squid_t:s0' suid='0' tclass='fifo_file'
tcontext=system_u:system_r:unconfined_t:s0 tty='(none)' uid='0'
Comment 1 Daniel Walsh 2006-10-18 11:06:18 EDT
Fixed in selinux-policy-2.3.19-3
Comment 2 Darwin H. Webb 2007-01-25 16:38:37 EST
This bug can be closed.
Squid and SELinux updated in new release and dev.

Darwin
Comment 3 Daniel Walsh 2007-08-22 10:13:53 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.